# Generated by Django 3.2.3 on 2021-05-24 16:21

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("inte_lists", "0011_auto_20210524_1533"),
        ("inte_subject", "0080_auto_20210524_1533"),
    ]

    operations = [
        migrations.AlterField(
            model_name="historicalintegratedcarereview",
            name="hospital_card",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("Dont_know", "Do not know")],
                max_length=15,
                verbose_name="Do you have a hospital record stored in the clinic?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalintegratedcarereview",
            name="hospital_card_type",
            field=models.CharField(
                choices=[
                    ("paper_based", "Paper-based"),
                    ("electronic", "Electronic"),
                    ("both", "Both"),
                    ("N/A", "Not Applicable"),
                ],
                default="N/A",
                max_length=15,
                verbose_name="If YES, what type of hospital record is this?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalintegratedcarereview",
            name="missed_appt",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                verbose_name="Have you missed an appointment since attending this clinic?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalintegratedcarereview",
            name="missed_appt_call",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="If YES, did you get a phone call from the clinic about the missed appointment?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalintegratedcarereview",
            name="missed_appt_call_who",
            field=models.CharField(
                choices=[("nurse", "Nurse"), ("OTHER", "Other"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="If YES, who called you about the missed appointment?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalintegratedcarereview",
            name="pay_for_lab_tests",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="If YES, did you pay for any of these tests?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalintegratedcarereview",
            name="receive_health_talk_messages",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                verbose_name="Do you receive any health talks when attending this clinic?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalintegratedcarereview",
            name="rx_collection_hcf",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No, I buy my own drugs"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=15,
                verbose_name="If YES, are you collecting it from this healthcare facility?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="health_talk_conditions",
            field=models.ManyToManyField(
                blank=True,
                related_name="_inte_subject_integratedcarereview_health_talk_conditions_+",
                to="inte_lists.HealthTalkConditions",
                verbose_name="If YES, what disease conditions are discussed during the health talks?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="hospital_card",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("Dont_know", "Do not know")],
                max_length=15,
                verbose_name="Do you have a hospital record stored in the clinic?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="hospital_card_type",
            field=models.CharField(
                choices=[
                    ("paper_based", "Paper-based"),
                    ("electronic", "Electronic"),
                    ("both", "Both"),
                    ("N/A", "Not Applicable"),
                ],
                default="N/A",
                max_length=15,
                verbose_name="If YES, what type of hospital record is this?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="missed_appt",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                verbose_name="Have you missed an appointment since attending this clinic?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="missed_appt_call",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="If YES, did you get a phone call from the clinic about the missed appointment?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="missed_appt_call_who",
            field=models.CharField(
                choices=[("nurse", "Nurse"), ("OTHER", "Other"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="If YES, who called you about the missed appointment?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="pay_for_lab_tests",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="If YES, did you pay for any of these tests?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="receive_health_talk_messages",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                verbose_name="Do you receive any health talks when attending this clinic?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="rx_collection_hcf",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No, I buy my own drugs"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=15,
                verbose_name="If YES, are you collecting it from this healthcare facility?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="where_rx_dispensed",
            field=models.ManyToManyField(
                blank=True,
                to="inte_lists.DrugDispensaries",
                verbose_name="If YES, where in this healthcare facility are your drugs dispensed from?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="which_lab_tests_charged_for",
            field=models.ManyToManyField(
                blank=True,
                to="inte_lists.LaboratoryTests",
                verbose_name="If YES, which tests were you charged for?",
            ),
        ),
        migrations.AlterField(
            model_name="integratedcarereview",
            name="who_dispenses_rx",
            field=models.ManyToManyField(
                blank=True,
                to="inte_lists.DrugDispensers",
                verbose_name="If YES, who in this healthcare facility is responsible for dispensing your drugs?",
            ),
        ),
    ]
